Bug 36549

Summary: Implement allow-top-navigation for HTML5 sandbox attribute
Product: WebKit Reporter: Adam Barth <abarth>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, eric, gns, ian, sam
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: OS X 10.5   
Attachments:
Description Flags
Work in progress
none
Patch none

Description Adam Barth 2010-03-24 12:16:01 PDT
Implement allow-top-navigation for HTML5 sandbox attribute
Comment 1 Adam Barth 2010-03-24 12:20:34 PDT
Created attachment 51533 [details]
Work in progress
Comment 2 Adam Barth 2010-03-24 17:45:52 PDT
Created attachment 51568 [details]
Patch
Comment 3 Adam Barth 2010-03-25 16:58:49 PDT
Comment on attachment 51568 [details]
Patch

Thank you much.
Comment 4 WebKit Commit Bot 2010-03-25 19:46:47 PDT
Comment on attachment 51568 [details]
Patch

Clearing flags on attachment: 51568

Committed r56591: <http://trac.webkit.org/changeset/56591>
Comment 5 WebKit Commit Bot 2010-03-25 19:46:52 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Eric Seidel (no email) 2010-03-26 00:38:38 PDT
Looks like this broke the Gtk build:
http://build.webkit.org/builders/GTK%20Linux%2064-bit%20Debug/builds/4366

It's difficult to tell because the Gtk bots were already red. :(

Given the broken state of the Gtk bots I don't plan to roll this out.